Bug 172987 - Crash while signing an email
Crash while signing an email
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 15:17 EST by Robert Walsh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 17:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Walsh 2005-11-11 15:17:07 EST
I can reliably crash evolution by doing this:

  * Compose a message using an account that has a PGP key setup.  Address the
    message to somebody (addressed to yourself should be fine.)
  * Make sure "PGP sign" is selected under the "Security" menu in the compose
    window.
  * Click send.  A passphrase dialog box will appear.  Do not enter anything
    yet.
  * Move the focus back to the compose window and close it (CTRL-W or
    whatever.)  Select "Discard Changes" when prompted.
  * The passphrase dialog box will remain on the display.  Enter your
    passphrase and hit "OK".
  * Evolution crashes.

Note: Evolution doesn't crash if you hit "Cancel" in the passphrase dialog.
Comment 1 Christian Iseli 2007-01-22 06:41:42 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Robert Walsh 2007-01-22 17:12:45 EST
Sorry - I've moved on form Evolution and have no way of reproducing this.  I
will close this out.

Note You need to log in before you can comment on or make changes to this bug.